<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-wedth,initial-scale=1.0">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
  <title>Задание 4</title>
</head>
<body class="p-0 m-0 bg-dark text-dark ">
<header class="container-fluid p-0 m-0 bg-danger text-dark">
  <div class="container">
      <img  id="logo" src="http://pngimg.com/uploads/chrome_logo/chrome_logo_PNG3.png" alt="Наш лого" width="100" height="100" />
      <span style="font-size: 3.0em" >
        Задание 4
      </span>
  </div>
</header>
<div class="container" style="border: #222222 solid ">
    <div class="row">
      <a class="col-md-3 col-sm-12 bg-white" href="#Spisok">Список гиперссылок</a>
      <a class="col-md-3 col-sm-12 bg-white" href="#Table" >Таблица</a>
      <a class="col-md-3 col-sm-12 bg-white" href="#form">Форма</a>
      <a class="col-md-3 col-sm-12 bg-white" href="#Footer">Подвал </a>
    </div>
</div>
<div class="container justify-content-sm-center bg-white" >
  <div class="raw">
    <div class="col-md-12" id="Spisok">
      <h2> Нумерованный список гиперссылок </h2>
      <ol>
        <li> <a href="http://html5book.ru">Абсолютная гиперссылка на главную страницу сайта html5book.ru</a> </li>
        <li> <a href="https://html5book.ru"> Абсолютная гиперссылка на главную страницу сайта html5book.ru в протоколе https </a></li>
        <li> <a href="ftp://link.txt"> FTP без авторизации </a></li>
        <li> <a href="ftp://user:pass123@tavalik.ru/Temp/file.txt"> FTP с авторизацией</a></li>
        <li> <a href="https://ru.wikipedia.org/wiki/HTML#Браузерные_войны"> Фрагмент из википедии</a></li>
        <li> <a href="#start"> Переход в начало</a></li>
        <li> <a href="https://www.onlinestor.com?product=socks&color=black"> Два параметра</a></li>
        <li>
          <nav>
            <ul>
              <li> <a title="Переход к первой части задания" href="#Spisok"> Переход к началу нумерованного списка гиперссылок </a> </li>
              <li> <a href="#form" title="Переход к второй части задания"> Переход к началу формы </a> </li>
            </ul>
          </nav>
        </li>
        <li> <a>ссылка без href</a></li>
        <li> <a href="">ссылка с пустым href</a></li>
        <li> <a href="http://htmlbook.ru/html/a/rel" rel="nofollow"> ссылка,по которой запрещен переход поисковикам</a> </li>
        <li> <a href="http://htmlbook.ru/xhtml" rel="nofollow" > <!-- <noindex> --> cсылка, которая не индексируется поисковиками <!-- </noindex> --> </a> </li>
        <!-- Не индексируется лишь яндексом, чтобы страница не индексировалась везде, необходимо использовать метатег Robots() -->
        <li> <p>Некоторые люди любят кошек, другие - собак. Я же считаю, что самое красивое животное это
          <a href="https://ru.wikipedia.org/wiki/Песец"> песец</a> </li>
        <li> <a href="https://ru.wikipedia.org/wiki/Песец" title="песец"><img src="https://avatars.mds.yandex.net/get-pdb/1809151/093063ba-7f87-.." width="240" height="160" alt="песец" > </a> </li>
        <li>
          <map name="kot">
            <area shape="circle" coords="324,153,115" href="https://kotey-ka.ru/fakty-o-koshkax/vsyo-o-koshkax.html" alt="Мордаха(круглая область)" title="Побольше о кошках">
            <area shape="rect" coords="58,287,153,370" href="http://nashilapki.ru/primety-pro-koshek-a-takzhe-sueveriya-n.." alt="Лапка(прямоугольная область)" title="приметы и суеверия о кошках">
            <img  src="https://s1.1zoom.ru/big7/718/Cats_British_422583.jpg" class="img-fluid" width="480" height="384" alt="котик" usemap="#kot">
          </map>
        </li>
        <li> <a href="web1.html"> Относительная ссылка на страницу в текущем каталоге </a> </li>
        <!--Если мы находимся в http://example.com/catalog/ , то-->
        <li> <a href="about">относительная ссылка на страницу в каталоге about</a></li>
        <!-- Пусть мы находимся в http://example.com/catalog/ , тогда-->
        <li> <a href="../catalog">относительная ссылка на страницу в каталоге уровнем выше текущего</a></li>
        <!-- Пусть мы находимся в http://example.com/catalog/about , тогда -->
        <li> <a href="../../catalog">относительная ссылка на страницу в каталоге двумя уровнями выше</a></li>
        <!-- Пусть мы находимся в http://example.com/catalog/about/news/ , тогда -->
        <li> <a href="/">сокращенная ссылка на главную </a> </li>
        <!-- Пусть мы находимся в http://example.com/catalog , тогда -->
        <li > <a href="/about">сокращенную ссылку на внутреннюю </a> </li>
      </ol>
    </div>
    <div class="row flex-column-reverse flex-md-row">
      <div class="col-md-12">
        <div class="col-sm-12 col-sm-order-2 " id="Table">
          <table class="table table-bordered table hover">
            <tr class="bg-dark text-white">
              <td>
                Первая колонка
              </td>
              <td>
                Вторая колонка
              </td>
              <td>
                Третья колонка
              </td>
            </tr>
            <tr class="bg-warning">
              <td>
                Первая колонка
              </td>
              <td>
                Вторая колонка
              </td>
              <td>
                Третья колонка
              </td>
            </tr>
            <tr class="bg-dark text-white">
              <td colspan="2">
                Первая колонка и вторая колонка объединены
              </td>
              <td>
                Третья колонка
              </td>
            </tr>
            <tr class="bg-warning">
              <td>
                Первая колонка
              </td>
              <td>
                Вторая колонка
              </td>
              <td>
                Третья колонка
              </td>
            </tr>
            <tr class="bg-dark text-white">
              <td>
                Первая колонка
              </td>
              <td>
                Вторая колонка
              </td>
              <td>
                Третья колонка
              </td>
            </tr>
            <tr class="bg-warning">
              <th colspan="3">
                Все три колонки объединены
              </th>
            </tr>
          </table>
        </div>
      </div>
      <div class="col-md-12">
        <div class="col-sm-12 col-sm-order-1" id="form">
          <h2> Форма </h2>

          <form action="http://example.com" method="POST">

            <label>
              Имя: <br/>
              <input name="field-first-name" value="Введите имя" >
            </label> <br/>

            <label>
              email:<br/>
              <input name="field-email" value ="example@.com" type="email" >
            </label> <br/>

            <label>
              Дата рождения:<br/>
              <input type="text" name="field-date" value="2019-01-01" >
              <!-- Заменил тип date на text чтобы валидатор не жаловался(по другому предупреждение от валидатора в данном формате не убрать) -->
            </label> <br/>

            Пол:<br/>
            <label>
              <input type="radio" checked="checked" name="radio-sex" value="Значение1" >
              Мужской </label>
            <label>
              <input type="radio" name="radio-sex" value="Значение2">
              Женский </label> <br/>

            Количество конечностей:<br/>
            <label>
              <input type="radio" checked="checked" name="radio-number" value="Значение1" >
              Одна </label>
            <label>
              <input type="radio" name="radio-number" value="Значение2" >
              Две </label>
            <label>
              <input type="radio" name="radio-number" value="Значение3" >
              Три </label>
            <label>
              <input type="radio" name="radio-number" value="Значение4" >
              Четыре </label> <br/>

            <label>
              Сверхспособности: <br/>
              <select name="multipleChoice-superpowers[]"
                      multiple="multiple" >
                <option value="Значение1"> бессмертие </option>
                <option value="Значение2" selected="selected"> Прохождение сквозь стены </option>
                <option value="Значение3" selected="selected"> Левитация</option>
              </select>
            </label> <br/>

            <label>
              Биография:<br/>
              <textarea name="field-biography">начало </textarea>
            </label> <br/>

            <br/>
            <label>
              <input type="checkbox" checked="checked" name="check-1" >
              С контрактом ознакомлен
            </label> <br/>

            <!-- Кнопка отправки формы,
            при нажатии заполненные в форму данные
            отправятся в формате urlencoded методом
            POST или GET по адресу URL_отправки_данных -->
            <input type="submit" value="Отправить" >
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
<footer class="footer container-fluid bg-success" id="Footer" >
  <div class="container text-light">
    <span>
      (c) Грабчук Виктор 2019
    </span>
  </div>
</footer>
</body>
</html>